#!/usr/bin/perl

use CGI;
use CGI::Carp "fatalsToBrowser";
require "./config.pl";		#please ALTER THE GLOBALS HERE
require $PRASI_FULL_URL;
$ALLOW_PRINT_LANGUAGE_WARNING = "enabled";
require "./common.pl";
$ALLOW_PRINT_LANGUAGE_WARNING = "";


#################################################################################
# Wefis Version 1.5, December 2006
# 
# This programmed was created by Franois Botman, and is released under the terms of the GPL license...
# If you wish to use parts of the code in your own applications, please place a link to the source, and email me to inform me what you've used
# (just to encourage me to continue)...
#
# This file contains routines to deal with any 'page generation or upload' that involves the server part...
##################################################################################

$form = new CGI;
$a=$form->param('action');
$location=$form->param('path');
$ignore = $form->param('ignore');

if($GEN_WRITE_HEADER) {$location="/";}
$location = clean_path($location);

# The following redirects to a simple editing bow, rather than loading the whole of wefis. This allows permalinks from inside webpages to edit specific files via wefis, but
#without loading the complete wefis interface...
$full = $form->param('fullscr_edit');		#switch to fullscreen editing?
if($full) {
	print "<HTML><BODY onload=\"window.location='./action.cgi?action=fulledit&param=$full';\"><CENTER><BR><BR><IMG src=\"${THEME_ROOT}/themes.cgi?icon=loading\" border=0></BODY></HTML>";
	exit;
}

#New upload system: stay within the AJAX environment!
if($a eq "upload") {
	$mode = $form->param('mode');
	$replace = $form->param('replace');
	$full_name = $form->param('file');
		my @bits = split(/\\/, $full_name);
		$l = @bits;
		if($l<2) {my @bits = split(/\//, $full_name);$l = @bits;}
		$name = @bits[$l-1];
	if($wefis_guest eq "true") {print "<SCRIPT>top.upload_failure('$name','${TRANS_you_are_a_guest_user__guest_users_cannot_upload_files__sorry_}');</SCRIPT>";exit;}

	$upload_size = "$ENV{'CONTENT_LENGTH'}" ;
	$size_used = $total_size + $upload_size; # in bytes
	if($size_used > (1024*$aquot_kb)) {print "<SCRIPT>top.upload_failure('$name','${TRANS_not_enough_disk_space__sorry_}');</SCRIPT>";exit;}
	
	$upload_name = "${DOC_ROOT}$location"."/"."${name}";
	$i=0;
	while(($replace eq "false") and (-e $upload_name)) {
		$upload_name = "${DOC_ROOT}$location"."/"."${name}"."_$i";
		$i++;
		if($i>9999) {print "<SCRIPT>top.upload_failure('$name','${TRANS_file_s__already_exists_}');</SCRIPT>";exit;}
	}
	$fh = $form->upload('file');
	
	open(OUTPUT,">$upload_name") || error("${TRANS_could_not_open_file_for_writing_}");
	# This is necessary for non-Unix systems; does nothing on Unix
	binmode $upload_name;
	binmode OUTPUT;
	while (my $bytesread = read($fh, my $buffer, 1024)) {
		print OUTPUT $buffer;
	}
	close OUTPUT;
	chmod oct("0755"), $upload_name;
	
	if($mode eq "ascii") {ascii_mode("$upload_name");}
	if(($mode eq "auto") and ($upload_name =~ /\.(txt|html|shtml|htm|css|cgi|pl|php|py)$/)) {
		ascii_mode("$upload_name");
	}
	
	print "<SCRIPT>top.upload_success('$name');</SCRIPT>";		#inform the page that everything is going well!
	exit;
}
if($a eq "upload-form") {
	if($wefis_guest eq "true") {error("${TRANS_you_are_a_guest_user__guest_users_cannot_upload_files__sorry_}");}
	print "<HTML><HEAD><META HTTP-EQUIV=\"CACHE-CONTROL\" CONTENT=\"PUBLIC\"></HEAD>";
	print "<BODY onunload=\"top.upload_failure(document.getElementById('file').value);\"><FORM id=\"uploadform\" name=\"uploadform\" action=\"./index.cgi\" METHOD=\"post\" ENCTYPE=\"multipart/form-data\">";
	print "<INPUT NAME=\"file\" id=\"file\" TYPE=\"file\" ONCHANGE=\"top.upload_uploadfile(this.value,this.form);\">";
	print "<INPUT TYPE=\"hidden\" name=\"action\" value=\"upload\">";
	print "<INPUT TYPE=hidden id=\"path\" name=\"path\" value=\"\">";		#These are set via javascript later...
	print "<INPUT TYPE=\"hidden\" id=\"mode\" name=\"mode\" value=\"\">";
	print "<INPUT TYPE=\"hidden\" name=\"replace\" id=\"replace\" value=\"\"></FORM>";
	print "</BODY></HTML>";
	exit;
}
# <script src="./js/lang/admin$js_file_loc"></script>
#Otherwise default to the normal wefis UI...
print <<qqq;
<HTML>
<head>
<meta http-equiv="Pragma" content="no-cache">
<meta name="MSSmartTagsPreventParsing" content="true" />
<meta name="description" content="Wefis, by Francois Botman. Also available at wefis.sf.net!" />
<meta name="keywords" content="Wefis" />

<title>Wefis $Wefis_Version: ${TRANS_dynamic_web_filesystem}</title>
<SCRIPT>var idletext = "${TRANS_you_are_using} $uquot MB ($percent\%) ${TRANS_of_your} $aquot ${TRANS_mb_limit}!";</SCRIPT>
<script src="${JS_URL}/lang/main$js_file_loc"></script>
<script src="${JS_URL}/lang/data$js_file_loc"></script>
<script src="${JS_URL}/lang/file$js_file_loc"></script>
<script src="${JS_URL}/lang/other$js_file_loc"></script>
<script src="${JS_URL}/lang/search$js_file_loc"></script>
<script src="${JS_URL}/lang/stats$js_file_loc"></script>
<script src="${JS_URL}/canvas.js"></script>
<NOSCRIPT><CENTER><IMG SRC="./themes.cgi?icon=warn" border=0><BR>${TRANS_your_browser_does_not_support_javascript__br_wefis_will_not_work_}</CENTER></NOSCRIPT>
<SCRIPT src="${THEME_ROOT}/${iconset}/icons.js"></SCRIPT>
<style type="text/css" media="all" id="css_theme_select">\@import "${THEME_ROOT}/${iconset}/layout.css";</style>
<!-- We need to fix a small explorer bug; fixed div positions do not exist!! Thus replace the existing css code with the following for IE only!!-->
<!--[if lte IE 6]>  <style type="text/css">  /*<![CDATA[*/ #canvascontainer {position: absolute;left:50px;top:150px;}   /*]]>*/  </style><![endif]-->
<!-- GOSH!! STILL NOT FIXED IN IE7beta2!-->
<!--[if lte IE 7]>  <style type="text/css">  /*<![CDATA[*/ #canvascontainer {position: absolute;left:50px;top:150px;}   /*]]>*/  </style><![endif]-->

</head>
<body>
<DIV name="bgactivity" id="bgactivity"><A HREF="javascript:alert(currentop);"><IMG src="./themes.cgi?icon=loading" border=0></A></DIV>
<DIV name="success" id="success" align=center>This div contains all sorts of success stories...</DIV>
qqq

#This part is all for the new Admin-messaging system...
(my $m) = prasi_data($u,"${SERVICE_NAME}_from_admin");
chomp($m);
if($m && !$ignore) {
	$m =~ s/</ &lt /gi;
	$m =~ s/>/ &gt /gi;
	$m =~ s/\n/<BR>/gi;
	$m =~ s/\\/<BR>/gi;
	print "<H1>${TRANS_you_have_received_a_message_from_the_wefis_administrator}...</H1><BR>";
	print "<CENTER><SMALL>${TRANS_please_read_the_following_message_carefully__as_it_will_not_be_sent_again____}</SMALL> <BR><HR><BR><BR>$m<BR><BR>";
	print "<HR><BR>${TRANS_if_you_feel_that_you_should_reply_to_this_message__you_can_do_so_from___settings___contact_admin____br_thank_you_for_your_attention___}<BR><BR>";
	print "<A HREF=\"./index.cgi?ignore=true\">${TRANS_click_here_to_proceed_to_wefis___}</A><BR>";
	if($wefis_guest ne "true") {prasi_save($u,"${SERVICE_NAME}_from_admin","",${SERVICE_NAME});}	#not deleted for demo users...
	exit;
}





#print the default page-layout!!
print "<DIV name=\"busy_holder\" id=\"busy_holder\"><div align=\"center\" name=\"busy\" id=\"busy\"></div></DIV>
<SCRIPT>busy('${TRANS_loading_main_page__please_wait___}');</SCRIPT><BR>
<div id=\"titlebar\" name=\"titlebar\">";
print "Wefis $Wefis_Version:";
if($wefis_guest eq "true") {print " [${TRANS_guest_user}] ";}
print "</div><div id=\"toolbar\" name=\"toolbar\" width=90\%>";
if($m_toolbar ne "true") {
print <<qqq;
<TABLE><TR>
<TD onclick="if(getData('location')=='/') {updateRawData(true,true);}else {browseTo('../');}"><CENTER><A HREF="#" id="upbutton" name="upbutton"><IMG SRC="./themes.cgi?icon=up" BORDER=0 ><BR>${TRANS_up}</A></CENTER></TD>
<TD onclick="modeSwitch();"><CENTER><A HREF="#" id="multibutton" name="multibuton"><IMG SRC="./themes.cgi?icon=multi" BORDER=0><BR>${TRANS_multimode}</A></CENTER></TD>
<TD onclick="uploadForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=upload" BORDER=0><BR>${TRANS_upload}</A></CENTER></TD>
<TD onclick="newDirForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=newdir" BORDER=0><BR>${TRANS_newdir}</A></CENTER></TD>
<TD onclick="newFileForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=newfile" BORDER=0><BR>${TRANS_newfile}</A></CENTER></TD>
<TD onclick="showMore();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=more" BORDER=0><BR>${TRANS_more} >></A></CENTER></TD>
<TD><A HREF="javascript:ShowFav();" id="fav" name="fav"><B>${TRANS_location}:</B></A></TD>
<TD id="locbar" name="locbar">
<A HREF="#" name="loc" id="loc" onMouseOver="if(!document.getElementById('goto')) writeGoto();"><SMALL><B>[Loading...]</B></A></SMALL>
</TD><TD></TD><TD name="favbar" id="favbar"></TD></TR></TABLE>
</div>
qqq
}
else {
print <<qqq;
<TABLE><TR>
<TD onclick="if(getData('location')=='/') {updateRawData(true,true);}else {browseTo('../');}"><CENTER><A HREF="#" id="upbutton" name="upbutton"><IMG SRC="./themes.cgi?icon=up" BORDER=0 ></A></CENTER></TD>
<TD onclick="modeSwitch();"><CENTER><A HREF="#" id="multibutton" name="multibuton"><IMG SRC="./themes.cgi?icon=multi" BORDER=0></CENTER></TD>
<TD onclick="uploadForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=upload" BORDER=0></CENTER></TD>
<TD onclick="newDirForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=newdir" BORDER=0></CENTER></TD>
<TD onclick="newFileForm();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=newfile" BORDER=0></CENTER></TD>
<TD onclick="showMore();"><CENTER><A HREF="#"><IMG SRC="./themes.cgi?icon=more" BORDER=0></CENTER></TD>
<TD><A HREF="javascript:ShowFav();" id="fav" name="fav"><B>${TRANS_location}:</B></A></TD>
<TD id="locbar" name="locbar">
<A HREF="#" name="loc" id="loc" onMouseOver="if(!document.getElementById('goto')) writeGoto();"><SMALL><B>[Loading...]</B></A></SMALL>
</TD><TD></TD><TD name="favbar" id="favbar"></TD></TR></TABLE>
</div>
qqq
}

print "<div id=\"fileinfo\" name=\"fileinfo\">${TRANS_no_selected_file}<BR></div><div id=\"upload\" name=\"upload\"></DIV><div id=\"list\" name=\"list\">";
$idle_stat_text = "${TRANS_you_are_using} $uquot MB ($percent\%) ${TRANS_of_your} $aquot ${TRANS_mb_limit}!";


if($a eq "upload-doit") {
	if($wefis_guest eq "true") {error("${TRANS_you_are_a_guest_user__guest_users_cannot_upload_files__sorry_}");}
	
	$upload_size = "$ENV{'CONTENT_LENGTH'}" ;
	print "<CENTER><I>${TRANS_uploading} $upload_size ${TRANS_bytes_of_data_to} $location</I></CENTER><BR>";
	$size_used = $total_size + $upload_size; # in bytes
	if($size_used > (1024*$aquot_kb)) {fullquota($aquot_kb);}
	else {
		$upload_dir = "${DOC_ROOT}$location";
		if (opendir(DIR,"$upload_dir") != 1) {print "${TRANS_could_not_open_destination_folder} '$upload_dir'.";}
		else {
			$mode = $form->param('mode');
			$replace = $form->param('replace');
			
			print "<CENTER><B>${TRANS_upload_complete}</B></CENTER><BR><TABLE width=\"500\" frame=border rules=rows><TR>\n";
			print "<TD width=\"40%\"><B>${TRANS_filename_}</B></TD><TD width=\"5%\"><B>${TRANS_status_}</B></TD><TD width=\"10%\"><B>${TRANS_mode_}</B><TD><B>${TRANS_special_comments_}</B></TD></TR>";
			
			my $stringname;
			my $stringcount=0;
			$stringname = "fileName"."$stringcount";
			$stringcount++;
			$fh = $form->upload($stringname);
			$filename = $form->param($stringname);
			while($fh && $filename) {
				$op_log = "";
				$saveas = clean_path("$filename");
				$saveas =~ s/^(.*)[\/\\]([^\/\\]*)$/$2/g; # get leafname
				$saveas =~ s/[^\w\.\- \(\)_]/_/g; # alphanum only
				#if($saveas =~ /^(\w[^\w\.\- \(\)]*)/ ) {$saveas = $1;}
				#else {
				#	print "<TR><TD>$filename</TD><TD><CENTER><IMG src=\"./themes.cgi?icon=notok\" border=0></CENTER></TD>n/a<TD></TD><TD>${TRANS_invalid_file_name} '$saveas'; ${TRANS_file_names_must_start_with_a_letter_or_number_}</TD></TR>";
				#	$stringname = "fileName"."$stringcount";
				#	$stringcount++;
				#	$fh = $form->upload($stringname);
				#	$filename = $form->param($stringname);
				#	next;
				#}
				$full_name= "$upload_dir$saveas";
				$full_copy = $full_name;
				$i=0;
				if(!$replace && -e $full_copy) {		#if not replace...
					while(-e $full_copy) {
						$i = $i+1;
						$full_copy = "${full_name}_$i";
						if($i>999) {
							print "<TR onMouseOver=\"this.style.backgroundColor='#F5F5F5';\" onMouseOut=\"this.style.backgroundColor='#FFFFFF';\"><TD onclick=\"browseTo('$location','$saveas');\">$filename</TD><TD><CENTER><IMG src=\"./themes.cgi?icon=notok\" border=0></CENTER></TD>n/a<TD></TD><TD>${TRANS_error__a_file_with_the_same_name_already_exists__upload_was__b_cancelled__b_}.</TD></TR>";
							$stringname = "fileName"."$stringcount";
							$stringcount++;
							$fh = $form->upload($stringname);
							$filename = $form->param($stringname);
							next;
						}
					}
					$op_log .= "<FONT COLOR=red>'$saveas' ${TRANS_already_exists__uploading_to} '${saveas}_$i'.</FONT><BR>";
				}
				$full_name = $full_copy;
				open(OUTPUT,">$full_name") || error("${TRANS_could_not_open_file_for_writing_}");
				# This is necessary for non-Unix systems; does nothing on Unix
				binmode $filename;
				binmode OUTPUT;
				while (my $bytesread = read($fh, my $buffer, 1024)) {
					print OUTPUT $buffer;
				}
				close OUTPUT;
				chmod oct("0755"), $full_name;
				if(!$op_log) {print "<TR onMouseOver=\"this.style.backgroundColor='#F5F5F5';\" onMouseOut=\"this.style.backgroundColor='#FFFFFF';\"><TD onclick=\"browseTo('$location','$saveas');\">$location$saveas</TD><TD><CENTER><IMG src=\"./themes.cgi?icon=ok\" border=0></CENTER></TD>";}
				else {print "<TR onMouseOver=\"this.style.backgroundColor='#F5F5F5';\" onMouseOut=\"this.style.backgroundColor='#FFFFFF';\"><TD onclick=\"browseTo('$location','$saveas');\">$location$saveas</TD><TD><CENTER><IMG src=\"./themes.cgi?icon=notok\" border=0></CENTER></TD>";}
				if($mode eq "binary") {print "<TD>${TRANS_binary}</TD>";}
				if($mode eq "ascii") {print "<TD>${TRANS_ascii}</TD>";ascii_mode("$full_name");}
				if($mode eq "auto") {
					if($full_name =~ /\.(txt|html|shtml|htm|css|cgi|pl|php|py)$/) {
						ascii_mode("$full_name");
						print "<TD>${TRANS_ascii}</TD>";
					}
					else {print "<TD>${TRANS_binary}</TD>";}
				}
				if(!$op_log) {$op_log = "-";}
				print "<TD>$op_log</TD></TR>";

				#and increment count:
				$stringname = "fileName"."$stringcount";
				$stringcount++;
				$fh = $form->upload($stringname);
				$filename = $form->param($stringname);
			}
			print "</TABLE><BR><BR>";
			$p = $form->param("path");
		}
	}
	print "<CENTER><A HREF=\"javascript:browseTo('$location');\"><B>${TRANS_continue}</B></A></CENTER>";
}

print "</div><div id=\"preview\" name=\"preview\" width=20\%>
<PRE></PRE></div>

<div id=\"status\" name=\"status\">
${TRANS_you_are_using} $uquot MB ($percent\%) ${TRANS_of_your} $aquot ${TRANS_mb_limit}!
</div>
<DIV id=\"canvascontainer\" name=\"canvascontainer\"><CANVAS id=\"cvs\" name=\"cvs\" width=300 height=300></CANVAS><BR><DIV id=\"one\" name=\"one\"></DIV></DIV>";

print "<INPUT TYPE=\"hidden\" name=\"plugins\" id=\"plugins\" value=\"";					# Raw directory data 
if($penabled eq "true") {list_plugins();}
print"\">";
print "<INPUT TYPE=\"hidden\" name=\"raw\" id=\"raw\" value=\"";							# Raw directory data 
list_raw_data("");
print"\">";
print "<INPUT TYPE=\"hidden\" name=\"exts\" id=\"exts\" value=\"";							#list of supported extensions (images) 
#find_exts();
print "\">";
print "<INPUT TYPE=\"hidden\" name=\"root_url\" id=\"root_url\" value=\"${DOC_URL}\">";		#Root url: prepended to file name from /
print "<INPUT TYPE=\"hidden\" name=\"location\" id=\"location\" value=\"/\">";				# current location (change when browsing to a particular folder...).
print "<INPUT TYPE=\"hidden\" name=\"favdata\" id=\"favdata\" value=\"";					# list of favorites...
ListFav();
print "\">";
print "<INPUT TYPE=\"hidden\" name=\"guest\" id=\"guest\" value=\"";						# Is this a guest user?
if($wefis_guest eq "true") {print "true";}
print "\">";
$quota_b = $aquot *1024*1024;
print "<INPUT TYPE=\"hidden\" name=\"quota\" id=\"quota\" value=\"$quota_b\"> <INPUT TYPE=\"hidden\" name=\"quota_used\" id=\"quota_used\" value=\"$total_size\">";
print "<INPUT TYPE=\"hidden\" name=\"options\" id=\"options\" value=\"";
if($m_toolbar eq "true") {print "tool_labels=off|";}
else {print "tool_labels=on|";}
if($indexfile eq "true") {print "index=on|";}
else {print "index=off|";}
if($penabled eq "true") {print "plugin=on|";}
else {print "plugin=off|";}
if($compatupload eq "true") {print "compatibility_upload=on|";}
else {print "compatibility_upload=off|";}
print "\">";
print "<INPUT TYPE=\"hidden\" name=\"iconset\" id=\"iconset\" value=\"$iconset\">";
print "<INPUT TYPE=\"hidden\" name=\"iconsets\" id=\"iconsets\" value=\"";
find_themes();
print "\">";
my $admin = prasi_login("prasi_manager",0);
print "<INPUT TYPE=\"hidden\" name=\"admin\" id=\"admin\" value=\"$admin\">";
print "<INPUT TYPE=\"hidden\" name=\"logout\" id=\"logout\" value=\"${PRASI_URL}/login.cgi?action=logout\">";


print"<SCRIPT>busy();";

if($a ne "upload-doit") {			#re-written
	print "browseTo('$location');";
	$edit = $form->param('edit');
	if($edit) {print "edit('$edit');";}
	$url = $form->param('url');
	if($url) {
		$url =~ s/'/\\'/gi;
		print "writeDiv('preview','<A HREF=\"$url\">${TRANS_click_here_to_go_back_}</A><BR><BR>');";
	}
}
else {
	print "setData('location','$location');writeGoto();";		# do some updating...
}
print "</SCRIPT>";



exit;
