#!/usr/bin/perl

package PRASI::lang;

$PRASI::lang::version = "1.3"; # For Prasi version 1.3
$PRASI::lang::pack = "Dutch language pack, version 7-Nov-2006";
$PRASI::lang::author = "Benot 'benoni' Liessens";

$PRASI::lang::msg01 = "De remote server functionaliteit van Parsi is nog niet gemplementeerd.";
$PRASI::lang::msg02a = "Welkom, <b>";
$PRASI::lang::msg02b = "</b> (";
$PRASI::lang::msg02c = ").";
$PRASI::lang::msg03a = "U bent uitgelogd.";
$PRASI::lang::msg03b = "Dank voor het gebruik van Prasi!";
$PRASI::lang::msg04a = "Doorverwezen naar";
$PRASI::lang::msg04b = "... even geduld.";
$PRASI::lang::msg05 = "kan bestand niet openen voor variabele";
$PRASI::lang::msg06 = "ingesteld op";
$PRASI::lang::msg07 = "Dank u.";
$PRASI::lang::msg08 = "Ga verder";
$PRASI::lang::msg09 = "Nieuwe gebruiker registreren";
$PRASI::lang::msg10a = "Een gebruiker";
$PRASI::lang::msg10b = "heeft een Prasi account aangevraagd om volgende rede";
$PRASI::lang::msg10c = "Het emailadres van deze persoon is";
$PRASI::lang::msg10d = "Indien u deze persoon toegang wil verschaffen, gebruik dan het Prasi configuratiescherm. Indien u de aanvraag verwerpt, hoeft u niets te doen.";
$PRASI::lang::msg11 = "Dank u - uw aanvraag werd doorgestuurd naar de Prasi beheerder. Hij zal deze zo spoedig mogelijk verwerken.";
$PRASI::lang::msg12a = "Geen email voor deze gebruiker";
$PRASI::lang::msg12b = "- annuleren.";
$PRASI::lang::msg13 = "Bericht van gebruiker";
$PRASI::lang::msg14a = "De gebruiker";
$PRASI::lang::msg14b = "heeft volgend bericht verstuurd via Prasi. Gebruik a.u.b. het emailadres om te antwoorden";
$PRASI::lang::msg15 = ", uw bericht is verzonden.";
$PRASI::lang::msg16 = "Opnieuw inloggen";
$PRASI::lang::msg17 = "Terug naar status scherm";
$PRASI::lang::msg18 = ", een leeg paswoord wordt niet aanvaard!";
$PRASI::lang::msg19 = "Ga terug";
$PRASI::lang::msg20 = "fout bij het opslaan van nieuw paswoord";
$PRASI::lang::msg21 = ", uw paswoord is gewijzigd.";
$PRASI::lang::msg22 = "Nieuw paswoord wordt verstuurd naar";
$PRASI::lang::msg23 = "Nieuw paswoord";
$PRASI::lang::msg24a = "U hebt gevraagd om uw paswoord te wissen. Uw nieuw paswoord is";
$PRASI::lang::msg24b = "We raden u aan om in te loggen en een paswoord te kiezen dat gemakkelijker te onthouden is. Indien u niet hebt gevraagd uw paswoord te wissen, gelieve te antwoorden op deze email zodat dit voorval onderzocht kan worden.";
$PRASI::lang::msg25 = "<br>Uw sessie is vervallen.<br>Authentificeer uzelf opnieuw aub.";
$PRASI::lang::msg26 = "<br>Uw IP adres is gewijzigd sinds uw laatste sessie.<br>Authetificeer uzelf opnieuw aub.";
$PRASI::lang::msg26r = "<br>Uw identificatie is gewijgerd.<br>Authentificeer uzelf opnieuw aub.";
$PRASI::lang::msg27 = "dagen";
$PRASI::lang::msg28 = "minuten";
$PRASI::lang::msg29 = "Uw sessie vervalt in";
$PRASI::lang::msg30 = "Uw sessie is gekoppeld aan";
$PRASI::lang::msg31 = "Meld u nu af";
$PRASI::lang::msg32 = "U hebt toegang tot volgende diensten:";
$PRASI::lang::msg33 = "Account instellingen:";
$PRASI::lang::msg34 = "Wijzig uw paswoord:";
$PRASI::lang::msg35 = "wijzig uw paswoord";
$PRASI::lang::msg36 = "Stuur een bericht of vraag naar de Prasi beheerder:";
$PRASI::lang::msg37 = "Schrijf uw bericht of vraag hieronder. Indien een antwoord vereist is, zal dit verstuurd worden naar het email adres verbonden aan uw account.";
$PRASI::lang::msg38 = "--verzenden-->";
$PRASI::lang::msg39 = "Versie";
$PRASI::lang::msg40 = "Licenced under GPL2. http://prasi.sf.net";
$PRASI::lang::msg41 = "Fout: Geen actie gepreciseerd; programma wordt afgesloten.";
$PRASI::lang::msg42 = "Foutieve gebruikersnaam of paswoord. Login mislukt.";
$PRASI::lang::msg43 = "Probeer opnieuw";
$PRASI::lang::msg44 = "Login geslaagd ... u wordt verbonden met bevraagde dienst, even geduld.";
$PRASI::lang::msg45 = "Ga verder zonder javascript.";
$PRASI::lang::msg46 = "Sessie informatie kon niet bewaard worden, problemen op de server.";
$PRASI::lang::msg47 = "Er is geen IP informatie beschikbaar, kan niet verdergaan, sorry.";
$PRASI::lang::msg48 = "Kan geen IP veiligheids bestand openen voor";
$PRASI::lang::msg49 = "Gebruikersnaam:";
$PRASI::lang::msg50 = "Paswoord:";
$PRASI::lang::msg51 = "Vervalt over:";
$PRASI::lang::msg52 = "weken";
$PRASI::lang::msg53 = "uren";
$PRASI::lang::msg54 = "-- login -->";
$PRASI::lang::msg55 = "(Gedurende de Prasi sessie moet u cookies en javascript toelaten.)";
$PRASI::lang::msg56 = "Paswoord vergeten?";
$PRASI::lang::msg57 = "
Indien u uw paswoord bent vergeten, kan u het laten herinitialisren. Een nieuw paswoord zal per 
email opgestuurd worden. (Uw oude paswoord kan niet opgestuurd worden daar om veiligheidsredenen 
paswoorden alleen onder ge-encrypteerde vorm opgeslagen worden. De decryptie van een paswoord kan
 enkel indien het juiste paswoord gegeven is.) Het nieuwe paswoord wordt opgestuurd naar het email 
adres gekoppeld aan uw Prasi account:
";
$PRASI::lang::msg58 = "Nog niet geregistreerd?";
$PRASI::lang::msg59 = "
Indien u nog geen Prasi account hebt en er een zou willen, vervolledig dan onderstaand formulier. 
Uw gegevens worden via email naar de Prasi beheerder van dit systeem gestuurd ter controle 
van uw aanvraag. Aangezien deze controle manueel gebeurt, kan het enige tijd duren alvorens u aanvaardt,
dan wel gewijgerd wordt. Indien u een Prasi account wordt toegewezen, wordt u hiervan per email 
op de hoogte gebracht. NB Dit zou een private server kunnen zijn waarvoor de toegang beperkt is.
";
$PRASI::lang::msg60 = "Werkelijke naam (volledig):";
$PRASI::lang::msg61 = "Email adres:";
$PRASI::lang::msg62 = "Motivatie voor aanvraag van een Prasi account op dit systeem:";
$PRASI::lang::msg63 = "Opsturen";
$PRASI::lang::msg64 = "meer opties";
$PRASI::lang::msg65 = "
Uw Prasi account laat u momenteel niet toe deze service te geruiken.<br>
Indien u meent toegang nodig te hebben tot deze service, vraag dan aan uw Prasi beheerder om uw account permissies aan te passen.<br>
";
$PRASI::lang::msg66 = "Controleer uw account's instellingen";
$PRASI::lang::msg67 = "Onmogelijk om 'sendmail' te starten";
$PRASI::lang::msg68 = "Hallo,

Dit is een computer-gegenereerde email afkomstig van de Prasi server op";
$PRASI::lang::msg69 = "Vriendelijk groeten,
 De Prasi server beheerder.";
$PRASI::lang::msg70 = "Kan services map niet lezen voor gebruiker";
$PRASI::lang::msg71 = "Kan services map niet lezen.";
$PRASI::lang::msg71r = "Kan remote services map niet lezen.";
$PRASI::lang::msg72 = "verwijderen";
$PRASI::lang::msg73 = "versie";
$PRASI::lang::msg74 = "gebruiker wissen";
$PRASI::lang::msg75a = "gebruiker toevoegen";
$PRASI::lang::msg75b = "naar dienst:";
$PRASI::lang::msg76a = "verwijder gebruiker";
$PRASI::lang::msg76b = "van service:";
$PRASI::lang::msg77a = "Configuratie gebruiker aan de gang";
$PRASI::lang::msg77b = "voor service";
$PRASI::lang::msg78 = "kan service niet openen";
$PRASI::lang::msg78r = "kan remote service niet openen";
$PRASI::lang::msg79 = "configureren";
$PRASI::lang::msg80a = ", alvorens in te loggen op de service";
$PRASI::lang::msg80b = "kan vervolledigd worden, bijkomende informatie uit uw profiel is voor deze 
service vereist. Gelieve deze gegevens te vervolledigen. Zodra dat gebeurd is wordt u terug 
naar die service geleidt. Dank u.";
$PRASI::lang::msg81 = "configureer service";
$PRASI::lang::msg82 = "Prasi account verwijderd";
$PRASI::lang::msg83 = "Uw Prasi account is afgesloten en verwijdderd door de Prasi beheerder. Indien dit ten onrechte gebeurd is, antwoord onmiddellijk op deze email. Dank u voor het gebruik van het Prasi system op";
$PRASI::lang::msg84a = "Gebruiker";
$PRASI::lang::msg84b = "verwijderd en op de hoogte van verwijdering.";
$PRASI::lang::msg85 = "kan geen nieuw service bestand openen";
$PRASI::lang::msg86a = "Toegevoegd aan service";
$PRASI::lang::msg86b = "U bent toegevoegd aan service";
$PRASI::lang::msg86c = "U kan inloggen op deze service via";
$PRASI::lang::msg87 = "toegevoegd aan service";
$PRASI::lang::msg88 = "kan service bestand niet wissen";
$PRASI::lang::msg89 = "Verwijderd van service";
$PRASI::lang::msg90a = "U bent verwijderd van de service";
$PRASI::lang::msg90b = "U kan niet langer inloggen op deze service.";
$PRASI::lang::msg91 = "verwijderd van service";
$PRASI::lang::msg92 = "kan bestand niet openen voor variabele";
$PRASI::lang::msg93 = "bewaard met waarde";
$PRASI::lang::msg94 = "ingesteld voor nieuwe service.";
$PRASI::lang::msg95 = "Uw bericht werd naar alle Prasi gebruikers verzonden.";
$PRASI::lang::msg96 = "kan bestand niet openen";
$PRASI::lang::msg97 = "Uw nieuwe Prasi account";
$PRASI::lang::msg98a = "Uw aanvraag voor een nieuwe Prasi account werd goedgekeurd. (Indien u geen account hebt aangevraagd stuur dan een antwoord op deze email!) Uw account werd als volgt ingesteld:\n\ngebruikersnaam -";
$PRASI::lang::msg98b = "paswoord -";
$PRASI::lang::msg98c = "Log in op Prasi";
$PRASI::lang::msg98d = "zo spoedig mogelijk uw paswoord te veranderen. Aarzel niet om de Prasi 
beheerder te contacteren indien u vragen hebt!";
$PRASI::lang::msg99 = "toegevoegd aan Prasi. Uw moet ze nu expliciet toevoegen aan de 'prasi' service!";
$PRASI::lang::msg100 = "Sluit manager";
$PRASI::lang::msg101 = "log uit";
$PRASI::lang::msg102 = "Huidige gekende services:";
$PRASI::lang::msg103 = "Momenteel actieve gebruikers:";
$PRASI::lang::msg104 = "Gebruik '+' om een gebruiker toe te voegen aan een service, '-' om een gebruiker te verwijderen van een service. Klikken op 'verwijder' wist de gebruiker volledig.";
$PRASI::lang::msg105 = "Voeg nieuwe gebruker toe aan Prasi:";
$PRASI::lang::msg106 = "Volledige naam:";
$PRASI::lang::msg107 = "Email:";
$PRASI::lang::msg108 = "voeg deze gebruiker toe";
$PRASI::lang::msg109 = "Email ALLE Prasi gebruikers:";
$PRASI::lang::msg110 = "Schrijf hier uw bericht.";
$PRASI::lang::msg111 = "-- versturen -->";
$PRASI::lang::msg112 = "Officile webpagina:";
$PRASI::lang::msg113 = "Bezoek de webpagina van het Prasi project!";
$PRASI::lang::msg114 = "(Het is aangewezen om regelmatig updates uit te voeren aangezien deze eventuele veiligeheidsproblemen kunnen oplossen.)";
$PRASI::lang::msg115 = "Kan gebruikers map niet lezen.";
$PRASI::lang::msg116 = "Prasi aankondiging";
$PRASI::lang::msg117a = "Toegang gewijgerd voor deze service. Log in op";
$PRASI::lang::msg117b = ", of controleer uw account gegevens.";
$PRASI::lang::msg118a = "Een fout heeft zich voorgedaan. Controleer aub uw";
$PRASI::lang::msg118b = "account gegevens, of contacteer uw beheerder.";
$PRASI::lang::msg119 = "Uw sessie is vervallen. Log in op";
$PRASI::lang::msg120 = "Uw IP adres is verandert sinds uw laatste sessie. Log in op";
$PRASI::lang::msg121a = "Alvorens in te loggen op";
$PRASI::lang::msg121b = ", ";
$PRASI::lang::msg121c = "klik eerst hier";
$PRASI::lang::msg122 = "Ongeldige data naam";
$PRASI::lang::msg123 = "Ongeldige gebruikersnaam";
$PRASI::lang::msg124 = "Ongeldige service naam";
$PRASI::lang::msg125 = "Probleem bij openen van data";
$PRASI::lang::msg126a = "Deze service";
$PRASI::lang::msg126b = "heeft geen toegangspermissies voor deze data";
$PRASI::lang::msg126c = "Lees de API.";
$PRASI::lang::msg127 = "Kan sessies bestand niet openen.";
$PRASI::lang::msg128 = "Kan IP verificatie data niet openen.";
$PRASI::lang::msg129 = "kan service niet openen";
$PRASI::lang::msg130 = "Opsturen";
$PRASI::lang::msg131 = "Taal Veranderen:";
$PRASI::lang::msg132 = "verander";
$PRASI::lang::msg133 = "fout bij het opslaan van taalinstellingen";
$PRASI::lang::msg134 = ", uw taalvoorkeur werd ingesteld op";
$PRASI::lang::msg135 = "De ondersteuning voor cookies is gedesactiveerd in uw browser. Daardoor kan u echter niet verdergaan, excuses.";
$PRASI::lang::msg136 = "Cookie voor Prasi server ingesteld OK";
$PRASI::lang::msg137a = "Cookie voor";
$PRASI::lang::msg137b = "ingesteld OK";
$PRASI::lang::msg138 = "provided by $PRASI::lang::author";
$PRASI::lang::msg139 = "Deze vertaling werd gedaan door $PRASI::lang::author";
$PRASI::lang::msg140 = "Alle velden invullen a.u.b.";
$PRASI::lang::msg141 = "U bent ingelogged als demo gebruiker met beperkte gebruikersrechten.<br>Optie niet toegelaten.";
$PRASI::lang::msg142 = "Bent u zeker dat u deze gebruiker, inclusief alle profieldata, wil wissen? Deze stap is onomkeerbaar!";
$PRASI::lang::msg143 = "Admin gebruikers kunnen niet gewist worden - verwijder ze eerste van de prasi_manager service!";
$PRASI::lang::msg144 = "Demo users cannot enable OpenID";
$PRASI::lang::msg145 = "could not open oid file";
$PRASI::lang::msg146 = "Your OpenID was stored as";
$PRASI::lang::msg147 = "Demo users cannot disable OpenID";
$PRASI::lang::msg148 = "could not delete oid file";
$PRASI::lang::msg149 = "Your OpenID setting was deleted.";
$PRASI::lang::msg150 = "OpenID setting: enabled";
$PRASI::lang::msg151 = "OpenID setting: disabled";
$PRASI::lang::msg152 = "enable";
$PRASI::lang::msg153 = "disable";
$PRASI::lang::msg154 = "Could not find a user associated with this OpenID. To enable OpenID for your user, login with your username and password, then check your OpenID settings.";
$PRASI::lang::msg155 = "OpenID:";
$PRASI::lang::msg156 = "Please login <b>either</b> with credentials <b>or</b> with your OpenID.";
return 1;
