#!/usr/bin/perl --

use CGI;
use CGI::Carp "fatalsToBrowser";
require "./lang-default.pl";
require "./config.pl";
require "./prasi.pl";
require "./internals.pl";
require "./email.pl";

package PRASI;  # fully scoped

my $f = new CGI;
my $new_pw='';  # OK, bad, but we really do need it this way. Set to null after each use though...

print "Content-type: text/html\n\n";

my $u = prasi_login("prasi_manager",1);
if($u eq "") {exit;}

pretty_page();

my $action = $f->param('action');
$closewindow = $f->param('closewindow');

if($action eq "deluser") {
my $s = $f->param('target');
if($s eq "") { } else {
if(-e "$PRASI::datatree/users/$s/prasi_manager.svc") {print "<br>$PRASI::lang::msg143";exit;}
(my $addr) = prasi_data($s,"email");
chomp($addr);
my $cmd = "rm -rf $PRASI::datatree/users/$s";
print `$cmd`;
send_email($addr,"$PRASI::lang::msg82","$PRASI::lang::msg83 $PRASI::purl.");
print "<br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg84b<br><br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}
}

if($action eq "addservice") {
my $s = $f->param('target');
my $v = $f->param('service');
if($s eq "") { } else {
(my $addr) = prasi_data($s,"email");
chomp($addr);
open (IN, "> $PRASI::datatree/users/$s/$v.svc") || die "$PRASI::lang::msg85";
print IN " ";
close(IN);
(my $h,$h,$h,my $g) = service_info($v);
send_email($addr,"$PRASI::lang::msg86a '$v'","$PRASI::lang::msg86b '$v'. $PRASI::lang::msg86c '$g'.");
print "<div id=\"right\"><br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg87 '$v'.<br>";
check_service_defaults($s,$v);
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
print "</div>";
exit;
}
}

if($action eq "addremservice") {
my $s = $f->param('target');
my $v = $f->param('service');
if($s eq "") { } else {
(my $addr) = prasi_data($s,"email");
chomp($addr);
open (IN, "> $PRASI::datatree/users/$s/$v.rsvc") || die "$PRASI::lang::msg85";
print IN " ";
close(IN);
(my $h,$h,$h,my $g,$h,$h,$h) = remote_service_info($v);
send_email($addr,"$PRASI::lang::msg86a '$v'","$PRASI::lang::msg86b '$v'. $PRASI::lang::msg86c '$g'.");
print "<br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg87 '$v'.<br>";
check_remote_service_defaults($s,$v);
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}
}

if($action eq "delservice") {
my $s = $f->param('target');
my $v = $f->param('service');
if($s eq "") { } else {
(my $addr) = prasi_data($s,"email");
chomp($addr);
unlink("$PRASI::datatree/users/$s/$v.svc") || die "$PRASI::lang::msg88";
send_email($addr,"$PRASI::lang::msg89 '$v'","$PRASI::lang::msg90a '$v'. $PRASI::lang::msg90b");
print "<br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg91 '$v'.<br>";
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}
}

if($action eq "delremservice") {
my $s = $f->param('target');
my $v = $f->param('service');
if($s eq "") { } else {
(my $addr) = prasi_data($s,"email");
chomp($addr);
unlink("$PRASI::datatree/users/$s/$v.rsvc") || die "$PRASI::lang::msg88";
send_email($addr,"$PRASI::lang::msg89 '$v'","$PRASI::lang::msg90a '$v'. $PRASI::lang::msg90b");
print "<br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg91 '$v'.<br>";
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}
}

if($action eq "cfgservice") {
my $s = $f->param('target');
my $v = $f->param('vars');
if($s eq "") { } else {
my @words = split (/\*/, $v);
my $word = "";
foreach $word (@words) {
 if($word eq "") { } else {
  my $store = $f->param($word);
  open(IN, "> $PRASI::datatree/users/$s/$word") || die "$PRASI::lang::msg92 '$word'.";
  print IN "$store";
  close(IN);
  print "$word: $PRASI::lang::msg93 '$store'<br>";
 }
}
print "<br>$PRASI::lang::msg84a '$s' $PRASI::lang::msg94<br>";
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}
}

if($action eq "emailall") {
my $m = $f->param('m');
if($m eq "") { } else {
email_everyone($m);
}
print "<br>$PRASI::lang::msg95<br>";
print "<br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
exit;
}

if($action eq "newuser") {
my $n = $f->param('name');
my $s = $f->param('user');
my $e = $f->param('email');
$s =~ s/[^a-zA-Z]//gi;
mkdir("$PRASI::datatree/users/$s");
open(IN,"> $PRASI::datatree/users/$s/fullname") || die "$PRASI::lang::msg96";
print IN "$n";
close(IN);
chmod oct("0770"), "$PRASI::datatree/users/$s/fullname";
open(IN,"> $PRASI::datatree/users/$s/email") || die "$PRASI::lang::msg96";
print IN "$e";
close(IN);
chmod oct("0770"), "$PRASI::datatree/users/$s/email";
# auto-add to prasi service!
open(IN,"> $PRASI::datatree/users/$s/prasi.svc") || die "$PRASI::lang::msg96";
print IN " ";
close(IN);
chmod oct("0770"), "$PRASI::datatree/users/$s/prasi.svc";
$new_pw = '';
generate_pw();
my $hash = main::md5_hex($new_pw);
open(IN,"> $PRASI::datatree/users/$s/password") || die "$PRASI::lang::msg20";
print IN "$hash";
close(IN);
send_email($e,"$PRASI::lang::msg97","$PRASI::lang::msg98a $s\n$PRASI::lang::msg98b $new_pw\n\n$PRASI::lang::msg98c ($PRASI::purl) $PRASI::lang::msg98d");
print "$PRASI::lang::msg84a '$s' $PRASI::lang::msg99<br><br>";
print "<form action=\"manage.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg17\">
<input type=hidden name=action value=\"\"></form>";
if($closewindow) {print "<script>self.close();</script>";}
exit;
}

print "
<div id=\"right\">
<h1>Prasi Manager<br>
";
(my $addr) = prasi_data($u,"email");
chomp($addr);
print "
$PRASI::lang::msg02a$u$PRASI::lang::msg02b$addr$PRASI::lang::msg02c</h1>
<form action=\"login.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg100\">
<input type=hidden name=action value=\"\"></form>
<form action=\"login.cgi\" method=\"post\">
<input type=submit value=\"$PRASI::lang::msg101\">
<input type=hidden name=action value=\"logout\"></form>
</div>
<br><br>

<div id=\"box\">
<div id=\"left\">
<h1>
$PRASI::lang::msg103
</h1>$PRASI::lang::msg104</div>
<div id=\"right\">
";
print_manager_table_combined();
print "
</div></div><br><br>

<div id=\"box\">
<div id=\"left\">
<h1>
$PRASI::lang::msg105
</h1></div>
<div id=\"right\">
<form action=\"manage.cgi\" method=\"post\">
$PRASI::lang::msg106 <input type=text name=name><br>
$PRASI::lang::msg49 <input type=text name=user><br>
$PRASI::lang::msg107 <input type=text name=email><br>
<input type=submit value=\"$PRASI::lang::msg108\">
<input type=hidden name=action value=\"newuser\"></form>
</div></div><br><br>

<div id=\"box\">
<div id=\"left\">
<h1>
$PRASI::lang::msg109
</h1></div>
<div id=\"right\">
<form action=\"manage.cgi\" method=\"post\">
<textarea name=m rows=\"10\" cols=\"55\">
$PRASI::lang::msg110
</";
print "textarea><br>
<input type=submit value=\"$PRASI::lang::msg111\">
<input type=hidden name=action value=\"emailall\"></form>
</div></div><br><br>

<div id=\"box\">
<div id=\"left\">
<h1>
$PRASI::lang::msg112
</h1></div>
<div id=\"right\">
<a href=\"http://www.sourceforge.net/projects/prasi\">http://www.sourceforge.net/projects/prasi</a>
<br>$PRASI::lang::msg114
</div></div><br><br>

<div id=\"medium\"><center>
$PRASI::lang::msg39 $PRASI::version -- <a href=\"http://prasi.sf.net\">$PRASI::lang::msg40</a>.
</center></div>
";

exit;

sub generate_pw {   # generate a new password
my $password_length = 10;
my @chars = split(" ",
 "a b c d e f g h i j k l m n o p q r s t u v w x y z 
  A B C D E F G H I J K L M N O P Q R S T U V W X Y Z
  0 1 2 3 4 5 6 7 8 9");

srand (time ^ $$ ^ unpack "%L*", `/bin/ps axww | /bin/gzip`);
for (my $i=0; $i <= $password_length ;$i++) {
    my $_rand = int(rand 62);
    $new_pw .= $chars[$_rand];
}
}

sub email_everyone {
(my $m)=@_;
if (opendir(DIR,"$PRASI::datatree/users") == 1) {
      @ufiles = readdir(DIR);
      closedir(DIR);
   }
   else {
    die("$PRASI::lang::msg115");
   }
   my @utfiles = sort @ufiles;
   my $ufitem = "";
   foreach $ufitem (@utfiles) {
      my $ufitem_pathname = "$PRASI::datatree/users" . "/" . "$ufitem";
      if (-e $ufitem_pathname) {
         if (-d $ufitem_pathname) {
         if($ufitem eq ".") {next;}
         if($ufitem eq "..") {next;}
            my $s = $ufitem;
            print "($s: ";
            my $recip = "$ufitem_pathname"."/"."email";
	if(-e $recip) { 
		open(TT,"< $recip");
		my @rcp = <TT>;
		(my $crt)=@rcp;
		close(TT);
		print "$crt";
		send_email($crt,"$PRASI::lang::msg116","$m");
	} else {print "ERROR:$recip ";}
            print ")  ";
            }
      }
   }
}
