#!/usr/bin/perl

# Prasi component: upload_service_config_file.cgi
# version 0.6.4
# licenced under GPL

# ONLY IN ENGLISH, sorry - please patch to lang-xxx.pl if you wish to help us out...
# ONLY for local services at this time, sorry - let us know if you this for remote services too...

use CGI;
use CGI::Carp "fatalsToBrowser";
require "./config.pl";
require "./prasi.pl";
require "./internals.pl";
require "./email.pl";

package PRASI;  # fully scoped

print "Content-type: text/html\n\n";

my $f = new CGI;

my $file = $f->param('file');
my $redirect = $f->param('redirect');
my $service = $f->param('service');

pretty_page();


my $u = prasi_login("prasi_manager",0);
if($u eq "") {
	print "<BR><BR><B>Error:</B> You do not appear to be logged in to the PRASI_MANAGER service. Thus the registration of the service config file could not be completed...<BR>";
	Print_Instr();
	exit;
}

$service=~s/[^a-zA-Z01-9]/_/g;
if(!$file or !$redirect or !$service) {
print "Read the API please. Call me correctly.";
exit;
}

open(IN,"< $file") || print "Could not open $file -- check your paths. ";
@whole = <IN>;
close(IN);

open(OUT,"> $PRASI::datatree/services/$service.cfg") || print "Could not open $PRASI::datatree/services/$service.cfg -- check your paths. ";
print OUT @whole;
close(OUT);

print "<br>
I have tried to save the file '$file' as '$PRASI::datatree/services/$service.cfg'. If you see an error message above, this 
may have failed, in which case you need to do this manually. Just copy the first file as the second file.<br><br>
If the operation completed successfully, you should click on <a href=\"$redirect\">this link</a> to finish the 
installation of your new service.<br><br>
Thanks for using Prasi.<br><br>
";

exit;
 
sub Print_Instr {
	print "<BR><BR>To register the service file manually, please do the following operation:<BR>";
	print "Move '$file' to '$PRASI::datatree/services/$service.cfg'.<br>You should do this once you have clicked on the link below, and this should normally complete the registration process.<BR><BR>";
	print "To continue with the installation, please <a href=\"$redirect\">click here</a>.";
}
