#!/usr/bin/perl --

require "./config.pl";		#please ALTER THE GLOBALS HERE
require $PRASI_FULL_URL;
use CGI;
use CGI::Carp "fatalsToBrowser";

###########################################################################################
## This file manages all the images and thus icon themes.
## Variables passed: set, icon
## Default reaction to errors (icons not foun, etc): revert to default icons...
###########################################################################################

$form = new CGI;
$n=$form->param('icon');
$e=$form->param('extension');
$u=prasi_login("${SERVICE_NAME}",1);
($s)=prasi_data($u,"${SERVICE_NAME}_home_icons");
chomp($s);

if(!-e "${THEME_ROOT_PATH}/$s/theme.pl") {$s = "default";}	#default to default if not found...
if(!do "${THEME_ROOT_PATH}/$s/theme.pl") {load_icon(0,"${THEME_ROOT_PATH}/unknown.png");}	#on error!!

if((!-e "${THEME_ROOT_PATH}/$s/icons.js") or ((-M "${THEME_ROOT_PATH}/$s/icons.js")>2)) {createIconFiles("${THEME_ROOT_PATH}/$s/icons.js");}

if($e) {
	if(-e "${THEME_ROOT_PATH}/$s/${THEME_ICONS_ROOT}${e}.${THEME_ICONS_EXT}") {
		load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICONS_ROOT}$e.${THEME_ICONS_EXT}","${THEME_ROOT_PATH}/default/icons/$e.png");}
	elsif(-e "${THEME_ROOT_PATH}/default/icons/$e.png") {
		load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICONS_ROOT}$e.${THEME_ICONS_EXT}","${THEME_ROOT_PATH}/default/icons/$e.png");}
	elsif($e =~ m/(tar|tar\.gz|gz|zip)$/) {load_icon("${THEME_ROOT_PATH}/default/icons/zip.png","");}
	elsif($e =~ m/(jpg|gif|png|bmp|tiff)$/) {load_icon("${THEME_ROOT_PATH}/default/icons/img.png","");}
	elsif($e =~ m/(txt|html|shtml|htm|inf|dat|pl|cgi|bak|tex|css)$/) {load_icon("${THEME_ROOT_PATH}/default/icons/txt.png","");}
	elsif($e =~ m/(wav|mid|mp2|mp3|ogg|mus|wma)$/) {load_icon("${THEME_ROOT_PATH}/default/icons/wav.png","");}
	else {load_icon("${THEME_ROOT_PATH}/unknown.png","");}
	exit;
}


if($n eq "theme_creator") {print "Content-type: text/html; charset=ISO-8859-1\n\n${THEME_AUTHOR}";}
elsif($n eq "loading") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_LOADING}","${THEME_ROOT_PATH}/default/loading.gif");}
elsif($n eq "mail") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_MAIL}","${THEME_ROOT_PATH}/default/mail.png");}
elsif($n eq "warn") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_WARN}","${THEME_ROOT_PATH}/default/warn.png");}
elsif($n eq "up") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_UP}","${THEME_ROOT_PATH}/default/up.png");}
elsif($n eq "multi") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_MULTI}","${THEME_ROOT_PATH}/default/multi.png");}
elsif($n eq "upload") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_UPLOAD}","${THEME_ROOT_PATH}/default/upload.png");}
elsif($n eq "newdir") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_NEWDIR}","${THEME_ROOT_PATH}/default/newdir.png");}
elsif($n eq "newfile") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_NEWFILE}","${THEME_ROOT_PATH}/default/newfile.png");}
elsif($n eq "more") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_MORE}","${THEME_ROOT_PATH}/default/more.png");}
elsif($n eq "notok") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_NOTOK}","${THEME_ROOT_PATH}/default/notok.png");}
elsif($n eq "ok") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_OK}","${THEME_ROOT_PATH}/default/ok.png");}
elsif($n eq "help") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_HELP}","${THEME_ROOT_PATH}/default/help.png");}
elsif($n eq "pulldown") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_PULLDOWN}","${THEME_ROOT_PATH}/default/down.png");}
elsif($n eq "fav") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_FAV}","${THEME_ROOT_PATH}/default/fav.png");}
elsif($n eq "search") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_SEARCH}","${THEME_ROOT_PATH}/default/search.png");}
elsif($n eq "refresh") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_REFRESH}","${THEME_ROOT_PATH}/default/up.png");}
elsif($n eq "folder") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_FOLDER}","${THEME_ROOT_PATH}/default/icons/folder.png");}
elsif($n eq "settings") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_SETTINGS}","${THEME_ROOT_PATH}/default/settings.png");}
elsif($n eq "admin") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_ADMIN}","${THEME_ROOT_PATH}/default/admin.png");}
elsif($n eq "stats") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_STATS}","${THEME_ROOT_PATH}/default/pie.png");}
elsif($n eq "logout") {load_icon("${THEME_ROOT_PATH}/$s/${THEME_ICON_LOGOUT}","${THEME_ROOT_PATH}/default/logout.png");}
else {load_icon(0,"${THEME_ROOT_PATH}/unknown.png");}
exit;


sub createIconFiles {
	my ($jsname) = @_;
	my $list_dir = "${THEME_ROOT_PATH}/$s/${THEME_ICONS_ROOT}${e}";
	my @files;
	my $fitem;
	
	open (JS,">	$jsname");
	print(JS "// JS THEME ICON SELECTOR...\n// Automatically generated via the theme selector...\n");
	print(JS "// This file will not be regenerated as long as it exists, so it can easily be modified...\n\n");
	print(JS "function getImg(n) {\n\t//chek to see if a special icon is applicable...\n\tn=n.replace(/\\./gi,'');\t");
	print(JS "//get rid of any dots!!\n\n");
	
	# if(n.match(/(tar|tar\.gz|gz|zip)$/gi)) return "./img/icons/zip.png";
	$extensionmatch = "\\.${THEME_ICONS_EXT}\$";
	if (opendir(DIR,"$list_dir") == 1) {
		@files = readdir(DIR);
		closedir(DIR);
		foreach $fitem (@files) {
		$fitem_pathname = "$list_dir"  . "$fitem";
		$fitem_pathname =~ s/${THEME_ROOT_PATH}/${THEME_ROOT}/;
			if (-e $fitem_pathname) {
				if($fitem eq ".") {next;}
				if($fitem eq "..") {next;}
				if($fitem =~ m/$extensionmatch/) {
					$fitem =~ s/$extensionmatch//;
					print(JS "\tif(n.match(/$fitem\$/)) return '$fitem_pathname';\n");
				}
			}
		}
	} #else {
		#error("${TRANS_cannot_read_folder} '$list_dir'.");
	#}
	print(JS "\tif(n.match(/(tar|tar\\.gz|gz|zip)\$/gi)) return '${THEME_ROOT}/default/icons/zip.png';\n");
	print(JS "\tif(n.match(/(jpg|gif|png|bmp|tiff)\$/gi)) return '${THEME_ROOT}/default/icons/img.png';\n");
	print(JS "\tif(n.match(/(txt|html|shtml|htm|inf|dat|pl|cgi|bak|tex|css)\$/gi)) return '${THEME_ROOT}/default/icons/txt.png';\n");
	print(JS "\tif(n.match(/(wav|mid|mp2|mp3|ogg|mus|wma)\$/gi)) return '${THEME_ROOT}/default/icons/wav.png';\n");
	print(JS "\treturn '${THEME_ROOT}/unknown.png';\n");
	print(JS "}\n\n\n//EOF\n");
	close IMG;
}

sub load_icon {
	my ($icon,$revert) = @_;
	if($icon and (-e "$icon")) {icon("$icon");}
	elsif(-e "$revert") {icon("$revert");}
	else {icon("${THEME_ROOT_PATH}/unknown.png");}
}
sub icon {
	my ($name) = @_;
	my @bits = split(/\./, $name);
	my $ext = $bits[$#bits];
	#$ext = pop(@bits);
	#$ext = pop(@bits);
	if($ext =~ /(txt|html|shtml|htm|css|cgi|pl|php|py)$/) {print "Content-type: text/html; charset=ISO-8859-1\n\n";}
	elsif($ext =~ /jpeg$/) {print "Content-type: image/jpeg;\n\n";}
	elsif($ext =~ /png$/) {print "Content-type: image/png;\n\n";}
	elsif($ext =~ /gif$/) {print "Content-type: image/gif;\n\n";}
	elsif($ext =~ /svg$/) {print "Content-type: text/xml;\n\n";}
	elsif($ext =~ /bmp$/) {print "Content-type: image/bmp;\n\n";}
	else {print "Content-type: image/gif;\n\n";}
	open (IMG,"< $name");
	@image=<IMG>;
	close IMG;
	print @image;
}
